# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "px2ansi-rs"
version = "0.5.26"
authors = [
    "T. Sawyer <saylesss87@proton.me>",
    "Nell Fauveau <nellousan@hotmail.fr> (original Python version)",
]
build = false
include = [
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "../LICENSE",
    "../CHANGELOG.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "px2ansi-rs"
description = "CLI frontend for the px2ansi terminal art engine"
readme = "README.md"
keywords = [
    "ansi",
    "pixel-art",
    "oklab",
    "rasterize",
    "colorspace",
]
categories = [
    "command-line-utilities",
    "multimedia::images",
    "rendering",
]
license = "GPL-3.0"
repository = "https://github.com/saylesss88/px2ansi-rs"

[features]
default = [
    "rasterize",
    "sixel",
    "parallel",
    "simd",
]
full = [
    "rasterize",
    "sixel",
    "parallel",
    "simd",
]
parallel = [
    "px2ansi/parallel",
    "dep:rayon",
]
rasterize = ["px2ansi/rasterize"]
simd = ["px2ansi/simd"]
sixel = ["px2ansi/sixel"]

[lib]
name = "px2ansi_rs"
path = "src/lib.rs"

[[bin]]
name = "generate-manpage"
path = "src/bin/generate_manpage.rs"

[[bin]]
name = "px2ansi-rs"
path = "src/main.rs"

[dependencies.ansi-width]
version = "0.1.0"

[dependencies.anyhow]
version = "1.0"
default-features = false

[dependencies.clap]
version = "4.6.1"
features = [
    "derive",
    "help",
    "usage",
]
default-features = false

[dependencies.clap_complete]
version = "4.6.2"

[dependencies.clap_mangen]
version = "0.3.0"

[dependencies.colored]
version = "3.1.1"

[dependencies.confy]
version = "2.0.0"

[dependencies.crossterm]
version = "0.29.0"
default-features = false

[dependencies.dialoguer]
version = "0.12.0"
features = ["fuzzy-select"]
default-features = false

[dependencies.fuzzy-matcher]
version = "0.3.7"

[dependencies.image]
version = "0.25.10"
features = [
    "jpeg",
    "png",
]
default-features = false

[dependencies.libc]
version = "0.2.186"

[dependencies.px2ansi]
version = "0.2.6"
default-features = false

[dependencies.rand]
version = "0.10.1"

[dependencies.rayon]
version = "1.12.0"
optional = true

[dependencies.serde]
version = "1.0.228"
features = ["derive"]
default-features = false

[dependencies.serde_json]
version = "1.0.149"

[dependencies.sysinfo]
version = "0.38.4"

[dependencies.unicode-width]
version = "0.2.2"

[dev-dependencies.assert_cmd]
version = "2.0"

[dev-dependencies.predicates]
version = "3.0"
default-features = false

[lints.clippy]
assertions_on_result_states = "warn"
create_dir = "warn"
dbg_macro = "warn"
missing_const_for_fn = "allow"
multiple_crate_versions = "allow"
panic = "warn"
todo = "warn"
unwrap_used = "warn"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.complexity]
level = "warn"
priority = -1

[lints.clippy.correctness]
level = "warn"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.clippy.perf]
level = "warn"
priority = -1

[lints.clippy.style]
level = "warn"
priority = -1

[lints.clippy.suspicious]
level = "warn"
priority = -1

[lints.rust]
deprecated = "warn"
elided_lifetimes_in_paths = "warn"
rust_2021_prelude_collisions = "warn"
semicolon_in_expressions_from_macros = "warn"
trivial_numeric_casts = "warn"
unsafe_op_in_unsafe_fn = "warn"
unused_extern_crates = "warn"
unused_import_braces = "warn"
unused_lifetimes = "warn"

[lints.rust.future_incompatible]
level = "warn"
priority = -1

[lints.rust.nonstandard_style]
level = "warn"
priority = -1

[lints.rust.rust_2018_idioms]
level = "warn"
priority = -1

[lints.rustdoc]
all = "warn"
missing_crate_level_docs = "warn"
